Skip to content

Check if the data resource Code or name is available

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.

Check if the data resource name or Code is valid in the permission space. Use the data resource name or data resource Code and the permission space Code to determine whether it is available in the specified permission space.

Data resource code valid example

  • Input parameter
json
{
  "namespaceCode": "examplePermissionNamespace",
  "resourceCode": "test"
}
  • Output parameter
json
{
  "statusCode": 200,
  "message": "Operation successful",
  "apiCode": 0,
  "data": {
    "isValid": "true"
  }
}

Data resource name valid example

  • Input parameter
json
{
  "namespaceCode": "examplePermissionNamespace",
  "resourceName": "test"
}
  • Output parameter
json
{
  "statusCode": 200,
  "message": "Operation successful",
  "apiCode": 0,
  "data": {
    "isValid": "true"
  }
}

Data resource code Invalid example

  • Input parameters
json
{
  "namespaceCode": "examplePermissionNamespace",
  "resourceCode": "test"
}
  • Output parameters
json
{
  "statusCode": 200,
  "message": "Operation successful",
  "apiCode": 0,
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "isValid": "false",
    "message": "data resource code already exist"
  }
}

Method name

ManagementClient.checkDataResourceExists

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
namespaceCodestringyes-Permission space Code to which the data resource belongsexamplePermissionNamespace
resourceNamestringno-Data resource name, unique in the permission spaceExample data resource name
resourceCodestringno-Data resource Code, unique in the permission spacedataResourceTestCode

Example code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.checkDataResourceExists({
    namespaceCode: "examplePermissionNamespace",
    resourceName: "Sample tree data resource name",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CheckParamsDataResourceResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 indicates success.
messagestringdescription
apiCodenumberSubdivided error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a CheckParamsDataResourceRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "isValid": "false",
    "message": "data resource name already exist"
  }
}

Data structure

CheckParamsDataResourceRespDto

NameTypeIs it requiredDescriptionSample value
isValidbooleanyesIs the data resource name or Code verification valid?false
messagestringnoPrompt message if the data resource name or Code verification fails. If the verification succeeds, the message will not be returned.data resource name already exist

Agent infrastructure for identity, memory, and web action.